<template>
  <div class="win">
    <div class="border_corner border_corner_left_top"></div>
    <div class="border_corner border_corner_right_top"></div>
    <div class="border_corner border_corner_left_bottom"></div>
    <div class="border_corner border_corner_right_bottom"></div>
    <div class="main">
      <div class="main-matter">
        <div>
          <ul v-for="(item,index) in setWasteWater" :key="index">
            <li>监测点名称:{{ item.Name }}</li>
            <li>生产单位:{{ item.porltName }}</li>
            <li>排放类型名称:{{ item.MonTypeName }}</li>
            <li>排放去向:{{ item.EmissDirecti }}</li>
            <li>控制级别名称:{{ item.ContrLevelShowName }}</li>
            <li>内/外排放口:{{ item.OrOutPortName }}</li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import mapApi from '../../../api/mapApi'
export default {
  name: 'WaterTabs',
  data () {
    return {
      setWasteWater: []
    }
  },
  mounted () {
    // this.$nextTick(() => {
    //   this.refsDataTabs()
    // })
  },
  methods: {
    async refsDataTabs (data) {
      // 基本信息 和 详细信息 展示数据所需参数
      // const EpsGisMonPointId = {
      //   EpsGisMonPointId: data
      // }
      // 基本信息 tabs
      const result = await mapApi.getWasteWater()
      // for (var i = 0; i < result.length; i++) {
      //   if (result[i].Name === data.title) {
      //   }
      // }
      this.setWasteWater = result.Result.DataInfo
      // return result
    }
  }
}
</script>

<style scoped lang="less">

.win {
  position: relative;
  margin-bottom: 0.04rem;
  background-color: @background-color;
}

.main {

  .main-matter {
    font-size: 0.06rem;
    font-weight: normal;
    padding: 0.04rem 0;
    border: 1px solid #396d83;

    ul {
      //width: 100%;
      //height: 100%;
      display: flex;
      align-items: center;
      justify-content: space-around;
      flex-wrap: wrap;
      margin-bottom: -0.04rem;

      li {
        margin-bottom: 0.04rem;
        text-align: center;
        min-width: 31%;
        background-color: #243a55;
        color: #00d0f9;
        border-radius: 0.02rem;
        font-size: 0.08rem;
        line-height: 0.09rem;
        padding: 0.03rem .5%;
      }

    }
  }
}

.border_corner {
  z-index: 999;
  position: absolute;
  width: 10px;
  height: 10px;
  background: rgba(0, 0, 0, 0);
  border: 1px solid #47d5ea;
}

.border_corner_left_top {
  top: 0;
  left: 0;
  border-right: none;
  border-bottom: none;
}

.border_corner_right_top {
  top: 0;
  right: 0;
  border-left: none;
  border-bottom: none;
}

.border_corner_left_bottom {
  bottom: 0;
  left: 0;
  border-right: none;
  border-top: none;
}

.border_corner_right_bottom {
  bottom: 0;
  right: 0;
  border-left: none;
  border-top: none;
}
</style>
